[module/brightness_bar]
;type = internal/xbacklight
type = internal/backlight

; Use the following command to list available cards:
; $ ls -1 /sys/class/backlight/
;card = intel_backlight
;card = amdgpu_bl0
card = {{ backlight_device }}

; Available tags:
;   <label> (default)
;   <ramp>
;   <bar>
format = <ramp> <bar>

; Available tokens:
;   %percentage% (default)
label = %percentage%%

; Only applies if <ramp> is used
ramp-0 = 
ramp-1 = 
ramp-2 = 
ramp-3 = 
ramp-4 = 
ramp-foreground = ${color.white}

; Only applies if <bar> is used
bar-format = "%fill%%indicator%%empty%"
bar-width = 11
bar-gradient = false

bar-indicator = ${bar.indicator}
bar-indicator-foreground = ${color.fg}
bar-indicator-font = 2

bar-fill = ${bar.fill}
bar-fill-font = 2
bar-foreground-0 = ${color.green}
bar-foreground-1 = ${color.green}
bar-foreground-2 = ${color.orange}
bar-foreground-3 = ${color.orange}
bar-foreground-4 = ${color.red}

bar-empty = ${bar.empty}
bar-empty-font = 2
bar-empty-foreground = ${color.white}
